Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.contentassist
Class SubjectControlContentAssistant

    java.lang.Object
      org.eclipse.jface.text.contentassist.ContentAssistant
          org.eclipse.jface.contentassist.SubjectControlContentAssistant

All Implemented Interfaces:
  IContentAssistant, IContentAssistantExtension, ISubjectControlContentAssistant, IWidgetTokenKeeper, IWidgetTokenKeeperExtension

public class SubjectControlContentAssistant
extends ContentAssistant
implements ISubjectControlContentAssistant

The standard implementation of the `ISubjectControlContentAssistant` interface. Usually, clients instantiate this class and configure it before using it.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.jface.text.contentassist.ContentAssistant
`STORE_SIZE_X, STORE_SIZE_Y, WIDGET_PRIORITY`

Fields inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant
`CONTEXT_INFO_ABOVE, CONTEXT_INFO_BELOW, PROPOSAL_OVERLAY, PROPOSAL_REMOVE, PROPOSAL_STACKED`

Constructor Summary
`SubjectControlContentAssistant()`

Method Summary
`void` | `install(IContentAssistSubjectControl contentAssistSubjectControl)` Installs content assist support on the given subject.

Methods inherited from class org.eclipse.jface.text.contentassist.ContentAssistant
`completePrefix, contextInformationClosed, enableAutoActivation, enableAutoInsert, enablePrefixCompletion, getContentAssistProcessor, getDocumentPartitioning, hasProposalPopupFocus, hide, install, install, possibleCompletionsClosed, requestWidgetToken, requestWidgetToken, restoreCompletionProposalPopupSize, setAutoActivationDelay, setContentAssistProcessor, setContextInformationPopupBackground, setContextInformationPopupForeground, setContextInformationPopupOrientation, setContextSelectorBackground, setContextSelectorForeground, setDocumentPartitioning, setFocus, setInformationControlCreator, setProposalPopupOrientation, setProposalSelectorBackground, setProposalSelectorForeground, setRestoreCompletionProposalSize, showContextInformation, showPossibleCompletions, storeCompletionProposalPopupSize, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant
`getContentAssistProcessor, install, showContextInformation, showPossibleCompletions, uninstall`

Constructor Detail

### SubjectControlContentAssistant

    public SubjectControlContentAssistant()

Method Detail

### install

    public void install(IContentAssistSubjectControl contentAssistSubjectControl)

  Description copied from interface: `ISubjectControlContentAssistant`
  Installs content assist support on the given subject.

  Specified by:
    `install` in interface `ISubjectControlContentAssistant`
  Overrides:
    `install` in class `ContentAssistant`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.